1.1.0
======

  MATE!

2.32.0
======

  Fixes
    * Make ref() function return the passed object (#629984)
  Translation updates

2.31.91
=======
  Features
   - libmateconf-2 was ported to the DBus bindings in gio, and no longer
     links to libdbus.
  Translation updates

2.31.7
======

  Fixes
   - gsettings-data-convert: Realloc the correct amount of memory (Matthew
     Garrett)
   - configure: disable the defaults service if PolicyKit is not available
     (Thomas Wood)
   - Update GSettings backend to follow API changes (Frédéric Péters)

   Translation updates
   (gl)

2.31.6
======

  Features
    - gsettings-schema-convert: always add gettext domain (Vincent Untz)
    - gsettings-schema-convert: convert 0/1 to false/true (Vincent)
    - gsettings-schema-convert: convert underscores to dashes (Vincent)
    - gsettings-scheme-convert: convert to xml by default (Vincent)

  Fixes
    - gsettings-schema-convert: fix crash when lxml is missing (Vincent)
    - gsettings-schema-convert: don't crash on unknown types (Vincent)
    - gsettings-schema-convert: accept MateConf schemas without defaults (Vincent)
    - gsettings-schema-convert: fix --help error (Vincent)

2.31.5
======

  Features
    - Add gsettings-schema-convert (used to be part of GLib) (Ryan Lortie)

  Fixes
    - Make the :path in groups optional again (Matthias Clasen)

  Translations
    Latvian

2.31.4
======

  Features
    - Allow external matecorba-idl-2 compiler for cross-compiling (Fridrich Štrba)
    - Require GLib >= 2.25.9

  Fixes
    - Implement fsync replacement on win32 (Fridrich Štrba)
    - Make gsettings_backend_write consume the variant (Matthias Clasen)
    - Fix build with GLib >= 2.25.9 (Milan Bouchet-Valat)

  Translations
    Galician

2.31.3
======

  Features
   - Install an autostart file for gsettings-data-convert (Matthias Clasen)
   - Expose the location of the default path file in the pc file (Brian Cameron)

  Fixes
   - Update GSettings backend to follow API changes (Ryan Lortie)
   - Respect $datadir (Matthias)
   - Fix annotations for mateconf_client_notify_add (Owen Taylor)
   - Support silent build (Christian Persch)
   - Don't print an error on the first run of
     gsettings-data-convert (Richard Hughes)

  Translations
   Albanian
   Norwegian bokmål
   Shavian

2.31.2
======

  Fixes
   - Handle prefix when installing instrospection data (Cosimo Cecchi)
   - Use /usr/share/MateConf/gsettings in gsettings-data-convert (Matthias Clasen)
   - Don't segfault if saved_state has blank lines in it (Michael Meeks)
   - Treat nonexisting keys as writable in the settings backend (Matthias)
   - Warn if key is a path in gsettings-data-convert (Matthias)

  Translation updates
    Catalan (Valencian)

2.31.1
======

  Features
   - Add a GSettings backend. This is meant as a tool to ease the
     transition from MateConf to GSettings/DConf, not as a permanent solution.
     To use this backend with GSettings, set GSETTINGS_BACKEND=mateconf in
     your environment. Note that you still need to convert your MateConf
     schema to a GSettings schema and install it (Vincent Untz)
   - Add a utility to migrate existing user settings from MateConf to
     GSettings. For details, see gsettings-data-convert(1) (Matthias Clasen)
   - Add boxed types for MateConfEntry and MateConfValue (Florian Müllner)
   - Add introspection support (Florian Müllner)

  Fixes
   - Plug a memory leak when ignoring default values (Alberto Garcia)

2.28.1
======

  Fixes
   - Make the defaults mechanism find the right polkit action (Matthias Clasen)
   - Remove (worse than) useless signal handlers for SEGV, FPE, etc. in mateconfd
     (Ray Strode)
   - Avoid a crash when mateconftool-2 can't read the db (Matthias Clasen)
   - Make mateconf compile with -DGSEAL_ENABLE (Andre Klapper)

   Translation updates
   (ast, bn,, ca, ca@valencia, cy, en@shaw, eu, gl, lt, nl, ru, vi)

2.28.0
======

   Translation updates
   (as, bn, bn_IN, cs, da, de, el, en_GB, fr, hu, kn, ko, ml,
    mr, or, pa, ro, sl, sr, sr@latin, ta, te, tr, vi, zh_CN)

2.27.0
======

  Features
   - Make mateconf_value_encode/decode public api (Vincent Untz)
   - Add SetSystemValue and SetMandatoryValue functions
     to the defaults service for future use in mateconf-editor (Vincent Untz)
   - Allow overriding the default config path (Dan Winship)
   - Port defaults menchanism to PolicyKit 1.0 (Matthias Clasen)

   Translation updates
   (es, nb, he, sv, th, uk, et, zh_CN, ca@valencia, pt_BR, it,
    gl, eu, ca, bg, fi, pl, jp, ar, pt, ko, zh_TW, zh_HK, gu,
    hi, or, ta)

2.26.1
======

  Fixes
   - Tracing improvements (Behdad Esfahbod)
   - Track fully-cached directories in the client (Matthias Clasen)
   - Improve performance of the markup backend (Michael Meeks)
   - Make openldap support optional (Gilles Dartiguelongue)
   - Fix errno usage (Christian Persch)

  Translation updates
     (ar, et, kn, or)

2.26.0
======

  Fixes
   - Correct url to mateconf website (Kjartan Maraas)
   - Plug memory leak in error path (Matthias Clasen, Tommi Rantal)
   - Remove deprecated GTK+ api (Matthias Clasen)

  Translation updates
     (as, bg, bn_IN, ca, cs, da, de, el, en_GB, es, eu, fi, fr, gl, gu, he, hi, hu, it, ja, kn, ko, lt, lv, ml, mr, nb, nl, or, pl, pt, pt_BR, ro, ru, sv, ta, te, th, tr, zh_HK, zh_TW)

2.25.2
======

  Fixes
   - Correct location of system settings in path configuration (Ray Strode)

2.25.1
======

  Fixes
   - Missing return in mateconftool.c/do_toggle (Magnus Boman)
   - Fix xml-backend symbol exports on Cygwin (Vincent Untz)
   - Win32 build fixes (Tor Lillqvist)
   - Optimizations in the markup backend (Michael Meeks)
   - Don't hardcode paths in the defaults mechanism (Vincent Untz)
   - Fix dbus policy for the defaults mechanism (Vincent Untz)

  Translation updates
     (bg, ca, de, eu, fi, fr, gu, hu, ja, ko, nl, or, pt. th,
      vi, zh_HK, zh_TW)

2.25.0
======

  Fixes
   - Fix various format string warnings (Christian Persch)
   - Sync saved state to disk before closing (Ray Strode)

  Features
   - Add --search-key-regex option to mateconftool (Christian Persch)
   - Add --toggle option to mateconftool (Matthias Clasen)

  Translation updates
    (ar, da, dz, es, fi, he, nb, pt_BR, sv, uk)

2.24.0
======

  Fixes
  - Fix pokit-policy-file-validate check (Saleem Abdulrasool)

  Translation updates
    (ar, bg, cs, da, de, en_GB, et, fr, gu, hr, hu, it, kn,
     lt, mai, or, pt, pt_BR, ro, ru, sr, ta, te, tr, uk, vi
2.23.2
======
  Fixes
  - cleanups (Kjartan)

  Features
  - stop using /tmp for the IOR, instead use the DBus session bus (Ray Strode)
  - optionally install a DBus service for system-wide settings (Matthias Clasen, Behdad Esfahbod)

2.23.1
======
  Fixes
  - Fix the build. (Kjartan)

2.23.0
======
  Fixes
  - stop spamming syslog (David Förster)
  - signal handling fixes (Javier Uruen Val)
  - use AC_HELP_STRINGS for nice formatting (Sven Herzberg)
  - timeout batching work (Matthias Clasen)
  - remove syslog spamming code (from Debian)
  - fix a crash when unsetting a key with no writable source (Richard Hult)
  - allow overriding $TMPDIR (Frederic Crozat)
  - integration with D-BUS (Ray Strode)
  - translation updates (ar, da, es, gl, he, nb, nl, sq, sk, th, vi)

2.22.0
======

  Misc
  - Fix deprecated openldap calls
  - Translation updates

2.21.90
=======

  Misc
  - Don't use deprecated functions (Christian)
  - Win32 fixes (Tor)

2.21.2
======

  Misc
  - Build fixes.
  - Various cleanups

2.21.1
======

  Misc
  - Lots of string fixes (Christian Rose, Adam Weinberger, Clytie Siddall)
  - Documentation fixes

2.20.1
======

  Misc
  - Improve docs (Stefan Kost)
  - Dist example schema (Kjartan)

  Translation updates:
  - Korean (Changwoo Ryu)
  - Norwegian nynorsk (Kjartan Maraas)

2.20.0
======

  Misc
  - Build fixes (Sven Herzberg)
  - Compiler warning fixes (Jaap Haitsma)

2.19.1
======

  Misc
  - Add --search-key argument to mateconftool-2 (#406329; Richard Hult)
  - Fix mateconftool-2 --help output translation (#432925; Christian Persch)
  - Init GThread (#432923; Christian Persch)
  - Fix strings used for errors about invalid keys (#406251; Christian Persch)
  - Fix build failure with -z defs in LDFLAGS (#409221; Loïc Minier)

  Translation updates:
  Khaled Hosny (ar), unknown (cs), Kenneth Nielsen (da), David Lodge (en_GB),
  Jorge González (es), Ignacio Casal Quinteiro (gl), Ankit Patel (gu),
  Yair Hershkovitz (he), Thierry Randrianiriana (mg), Espen Stefansen (nb),
  Yannig MARCHEGAY (oc), Subhransu Behera (or), Daniel Nylander (sv),
  Felix (ta), Theppitak Karoonboonyanan (th), Yang Zhang (zh_CN).


2.18.0.1
========

 Misc
  - Don't fail db sync operations and leave %mateconf-tree.xml.new
    files laying around if there wasn't a %mateconf-tree.xml to start
    with (Loïc Minier)

2.18.0
======

 Misc
  - Make sure error strings are utf-8 (Christian Persch)
  - don't include xml-entry.h twice (Kjartan Maraas)
  - fix leak in mateconf meta info code (Richard Hult, Ray Strode)
  - remove more popt gunk (Chris Wilson, Ray)
  - when installing a batch of schema files, don't abort
    the entire transaction if one fails (Laszlo Peter)
  - don't close already closed file descriptors if fdwalk()
    is available (Padraig O'Briain)
  - use g_file_test instead of mateconf_file_test or
    mateconf_file_exists (Paolo Borelli)
  - remove dead code found from coverity scan (Paolo Borelli)
  - retain file permissions on mateconf database files when
    syncing a tree to disk (Narayana Pattipati)
  - Add g_return_val_if_fail checks on type inputs for
    mateconf_value_new_from_string (Kjartan Maraas, Ray)

 Translators
  - Gintautas Miliauskas (lt)

2.16.1
======

 Misc
  - Fix error handling in the getters (Matthias Clasen)
  - Fix a leak (Pascal Terjan)
  - Close write end of pipe in parent (Tom Tromey)

 Translators
  - Khaled Hosny (ar)
  - Josep Puigdemont i Casamajó (ca)
  - Priit Laes (et)
  - Adam Weinberger (en_CA)
  - Yair Hershkovitz (he)
  - Gabor Kelemen (hu)
  - Luca Ferretti (it)
  - Vladimer Sichinava (ka)
  - Thierry Randrianiriana (mg)
  - The MATE PL Team (pl)
  - Leonardo Ferreira Fontenelle (pt_BR)
  - Laurent Dhima (sq)
  - Daniel Nylander (sv)
  - Maxim Dziumanenko (uk)
  - Nguyễn Thái Ngọc Duy (vi)

2.14.0
======

 Misc
  - Improved manual page (Christopher Hanna)
  - Uses the new g_slice API (Benoît Dejean)
  - Got rid of padding members in private structs (Benoît)
  - Speed up the installation of multiple schema files (Josselin Mouette,
    Mark LcLoughlin)

 Fixes
  - Only calls closelog() when it has HAVE_SYSLOG_H (Tor Lillqvist)
  - Fixed a memory leak, bugs #332528 and #334047 (Kjartan Maraas,
    Matthias Clasen)

 Translators
  - Petr Tomeš (cs)
  - Rhys Jones (cy)
  - Ole Laursen (da)
  - Hendrik Richter (de)
  - Kostas Papadimas (el)
  - Ivar Smolin (et)
  - Iñaki Larrañaga (eu)
  - Rajesh Ranjan (hi)
  - Gabor Kelemen (hu)
  - Alessio Frusciante (it)
  - Takeshi AIHANA (ja)
  - Changwoo Ryu (ko)
  - Mate PL Team (pl)
  - Evandro Fernandes Giovanini (pt_BR)
  - Duarte Loreto (pt)
  - Mişu Moldovan (ro)
  - Leonid Kanter (ru)
  - Laurent Dhima (sq)
  - Слободан Д. Средојевић (sr)
  - Christian Rose (sv)
  - Maxim Dziumanenko (uk)
  - Funda Wang (zh_CN)

2.13.5
======

 Features
  - Save translations in separate file with markup backend's "meged" mode (Mark McLoughlin)
  - Switch on "merged" mode for the defaults database (Mark McLoughlin)
  - Make mateconf_value_compare() and mateconf_entry_equal() public (Jorn Baayen)
  - Lots of new docs (Dinoop Thomas)

 Fixes
  - Remove unused --enable-mateconf-source configure option (Mark McLoughlin)
  - Fix parallel build (Thomas Vander Stichele)
  - Make mateconf_client_remove_dir() clear the dir's cache (Vincent Untz)
  - Win32 build fix - include DLLs in zipfile package (Tor Lillqvist)
  - Make mateconf_value_decode() work with schemas (Nicolas Peninguy)
  - Fix segault unescaping strings (Dan Williams)
  - Remove C99 usage (Jens Granseuer)

 Translators
  - Ales Nyakhaychyk (be)
  - Alexander Shopov (bg)
  - Jordi Mallach (ca)
  - Adam Weinberger (en_CA)
  - Francisco Javier F. Serrador (es)
  - Ivar Smolin (et)
  - Ilkka Tuohela (fi)
  - Christophe Merlet (RedFox) (fr)
  - Ignacio Casal Quinteiro (gl)
  - Ankit Patel (gu)
  - Takeshi AIHANA (ja)
  - Žygimantas Beručka (lt)
  - Kjartan Maraas (nb)
  - Tino Meinen (nl)
  - Åsmund Skjæveland (nn)
  - Kjartan Maraas (no)
  - Evandro Fernandes Giovanini (pt_BR)
  - Marcel Telka (sk)
  - Theppitak Karoonboonyanan (th)
  - Clytie Siddall (vi)
  - Abel Cheung (zh_HK)
  - Chao-Hsiung Liao (zh_TW)

2.12.1
======

 Fixes
  - Code cleanups (Kjartan Maraas)
  - Open GModules with G_MODULE_BIND_LAZY (Kjartan Maraas)
  - Fix change notification with multiple sources (Alexander Larsson)
  - Allow space in config source names on windows (Tor Lillqvist)
  - Read xml files in larger chunks (Mark McLoughlin)
  - Simplify the handling of --enable-schemas-install (Stepan Kasal)
  - Win32 Fixes (Tor Lillqvist)

 Translators

  - Alexander Shopov (bg)
  - Samia Niamatullah (bn)
  - Miloslav Trmac (cs)
  - Martin Willemoes Hansen (da)
  - Adam Weinberger (en_CA)
  - Francisco Javier F. Serrador (es)
  - Ivar Smolin (et)
  - Hizkuntza Politikarako Sailburuordetza (eu)
  - Ilkka Tuohela (fi)
  - Ignacio Casal Quinteiro (gl)
  - Ankit Patel (gu)
  - Yair Hershkovitz (he)
  - Erdal Ronahi (ku)
  - Tino Meinen (nl)
  - Mişu Moldovan (ro)
  - Marcel Telka (sk)
  - Laurent Dhima (sq)
  - Christian Rose (sv)
  - Maxim Dziumanenko (uk)
  - Clytie Siddall (vi)
  - Funda Wang (zh_CN)

2.12.0
======

 Misc

  - Fix issue with Win32 zipfile (Tor Lillqvist)

 Translators

  - Miloslav Trmac (cs)
  - Ivar Smolin (et)
  - Christophe Merlet (RedFox) (fr)
  - Ignacio Casal Quinteiro (gl)
  - Ankit Patel (gu)
  - Gabor Kelemen (hu)
  - Mohammad DAMT (id)
  - Alessio Frusciante (it)
  - Takeshi AIHANA (ja)
  - Žygimantas Beručka (lt)
  - Evandro Fernandes Giovanini (pt_BR)
  - Leonid Kanter (ru)
  - Данило Шеган (sr)
  - Baris Cicek (tr)
  - Clytie Siddall (vi)
  - Chao-Hsiung Liao (zh_TW)

2.11.91
=======

 Misc

  - Fix typos in some error messages (Adam Weinberger)

 Translators

  - Alexander Shopov (bg)
  - Jordi Mallach (ca)
  - Rhys Jones (cy)
  - Hendrik Richter (de)
  - Kostas Papadimas (el)
  - Adam Weinberger (en_CA)
  - Francisco Javier F. Serrador (es)
  - Ivar Smolin (et)
  - Ilkka Tuohela (fi)
  - Gabor Kelemen (hu)
  - Changwoo Ryu (ko)
  - Kjartan Maraas (nb)
  - Sameer Rajbhandari (ne)
  - Tino Meinen (nl)
  - Kjartan Maraas (no)
  - Mate PL Team (pl)
  - Duarte Loreto (pt)
  - Mişu Moldovan (ro)
  - Marcel Telka (sk)
  - Laurent Dhima (sq)
  - Theppitak Karoonboonyanan (th)
  - Maxim Dziumanenko (uk)
  - Funda Wang (zh_CN)

2.11.90
=======

 Fixes

  - More work on Win32 support (Tor Lillqvist)
  - Fix mateconfd not shutting down when not in use (Mark)
  - Plug some memory leaks (Aivars Kalvans)
  - Use G_GNUC_NULL_TERMINATED in some APIs (Marcus Meissner)
  - Fix build breakage (Gustavo J. A. M. Carneiro)
  - Improve performance by reducing no. of g_string_append_c() calls (Aivars Kalvans)

 Translators

  - Rostislav Raykov (bg)
  - Jordi Mallach (ca)
  - Martin Willemoes Hansen (da)
  - Hendrik Richter (de)
  - Ivar Smolin (et)
  - Hizkuntza Politikarako Sailburuordetza (eu)
  - Hamed Malek (fa)
  - Ignacio Casal Quinteiro (gl)
  - Ankit Patel (gu)
  - Yair Hershkovitz (he)
  - Mohammad DAMT (id)
  - Takeshi AIHANA (ja)
  - Žygimantas Beručka (lt)
  - Kjartan Maraas (nb, no)
  - Duarte Loreto (pt)
  - Marcel Telka (sk)
  - Laurent Dhima (sq)
  - Данило Шеган (sr)
  - Christian Rose (sv)
  - Theppitak Karoonboonyanan (th)
  - Funda Wang (zh_CN)
  - Chao-Hsiung Liao (zh_TW)

2.11.1
======

 Features

  - Port to Windows (Tor Lillqvist)
  - Backend for retrieving Evolution data sources from LDAP (Mark)

 Fixes

  - Fix crasher with mateconf-editor (Josselin Mouette, Mark)
  - Generate GType for MateConfUnsetFlags (Mark, Gustavo Carneiro)
  - Fix --enable-schemas-install error message (Stepan Kasal)
  - Fix build failure when building from CVS (Mark)

 Translators

  - Miloslav Trmac (cs)
  - Dafydd Harries (cy)
  - Kostas Papadimas (el)
  - Adam Weinberger (en_CA)
  - David Lodge (en_GB)
  - Francisco Javier F. Serrador (es)
  - Ivar Smolin (et)
  - Hizkuntza Politikarako Sailburuordetza (eu)
  - Elnaz Sarbar (fa)
  - Gabor Kelemen (hu)
  - Steve Murphy (rw)
  - Marcel Telka (sk)
  - Laurent Dhima (sq)

2.10.0
======

 Translators

  - Ivar Smolin (et)
  - Žygimantas Beručka (lt)
  - Reinout van Schouwen (nl)
  - Mişu Moldovan (ro)
  - Maxim Dziumanenko (uk)
  - Canonical Ltd (xh)

2.9.90
======

 Fixes

  - Fix daemon reloading causing listeners to break (Mark)
  - Fixes problem where a path file which only includes another path
    file wouldn't work (Mark)
  - Fix double free with mateconf_client_clear_cache() (Mark)
  - Add pre-condition to mateconf_value_validate (Vincent Untz)

 Translators

  - Rostislav Raykov (bg)
  - Priit Laes (et)
  - Pauli Virtanen (fi)
  - Marcel Telka (sk)

2.9.2
=====

 Fixes

  - Make all_entries() get the schema name when the value is set (Fernando Herrera)
  - Look up value in the C locale even if its found in the current locale (Fernando Herrera)
  - Add title/name to the API documentation (Jonathan Blandford)

 Translators

  - Changwoo Ryu (ko)

2.8.1
=====

 Fixes

  - If the toplevel directory of a source isn't writable,
    then mark the whole source as readonly (Mark)
  - Plug various leaks (Kjartan)

 Translators

  - Christophe Merlet (RedFox) (fr)
  - Alessio Frusciante (it)
  - Žygimantas Beručka (lt)
  - Li-Jen Hsin (zh_TW)

2.8.0.1
=======

 Fixes

  - Use automake 1.7 (Mark)
  - Always ship the API docs html in the tarball (Mark)

2.8.0
=====

 Translators

  - Ayman Hourieh (ar)
  - Kenan Hadžiavdić (bs)
  - Miloslav Trmac (cs)
  - Dafydd Harries (cy)
  - Kostas Papadimas (el)
  - Francisco Javier F. Serrador (es)
  - Alessio Frusciante (it)
  - Hasbullah Bin Pit (ms)
  - Evandro Fernandes Giovanini (pt_BR)
  - Mişu Moldovan (ro)
  - Gurkan Aslan (tr)

2.7.92
======

 Fixes

  - Fix crash caused by dropping the default database early (Mark)
  - Fix issue with SIGHUP causing listeners to be dropped (Josselin Mouette)
  - Only install the global schema default in the C locale (Mark)
  - Don't crash if there's no schema for the locale (Mark)

 Translators

  - Jordi Mallach (ca)
  - Laszlo Dvornik (hu)
  - Pawan Chitrakar (ne)
  - Tino Meinen (nl)
  - Laurent Dhima (sq)
  - Maxim Dziumanenko (uk)

2.7.91.1
========

 Features

  - Switch off the "subtree-in-a-file" thing again (Mark)
      See: http://mail.gnome.org/archives/desktop-devel-list/2004-August/msg00393.html

 Translators

  - Kenan Hadžiavdić (bs)
  - Martin Willemoes Hansen (da)
  - Pauli Virtanen (fi)
  - Takeshi AIHANA (ja)
  - Laurent Dhima (sq)

2.7.91
======

 Fixes

   - Fix a bunch of coding errors (Kjartan Maraas)
   - Always install schemas with the correct permissions (Mark)
   - Fix various strings to use better terminology (Danilo Šegan)

 Translators

   - Miloslav Trmac (cs)
   - Christian Neumair (de)
   - Adam Weinberger (en_CA)
   - David Lodge (en_GB)
   - Francisco Javier F. Serrador (es)
   - Pauli Virtanen (fi)
   - Ankit Patel (gu)
   - Changwoo Ryu (ko)
   - Sanlig Badral (mn)
   - Kjartan Maraas (nb)
   - Åsmund Skjæveland (nn)
   - Kjartan Maraas (no)
   - Amanpreet Singh Alam (pa)
   - Mate PL Team (pl)
   - Duarte Loreto (pt)
   - Dmitry G. Mastrukov (ru)
   - Laurent Dhima (sq)
   - Данило Шеган (sr)
   - Christian Rose (sv)
   - Funda Wang (zh_CN)

2.7.90
======

  Fixes

   - Remove unused internal function (Carlos Daniel Ruvalcaba Valenzuela)
   - Bring docs up to date with GObject (rather than GtkObject) usage (Kai Willadsen)

  Translators

   - Rostislav Raykov (bg)
   - Adam Weinberger (en_CA)
   - Francisco Javier F. Serrador (es)
   - Ravishankar Shrivastava (hi)
   - Laszlo Dvornik (hu)
   - Takeshi AIHANA (ja)
   - Changwoo Ryu (ko)
   - Žygimantas Beručka (lt)
   - Sanlig Badral (mn)
   - Tino Meinen (nl)
   - Kjartan Maraas (no)
   - Mate PL Team (pl)
   - Duarte Loreto (pt)
   - Laurent Dhima (sq)
   - Christian Rose (sv)
   - Maxim Dziumanenko (uk)

2.7.3.1
=======

  Fixes

   - Make --makefile-install-rule worky again (Mark)
   - Remove an outdated comment from the path file (Fernando Herrera)

  Translators

   - Alexander Shopov (bg)
   - Miloslav Trmac (cs)
   - Gareth Owen (en_GB)
   - Laurent Dhima (sq)

2.7.3
=====

 Features

  - Switch on "subtree-in-a-file" at certain points in the tree (Mark)
      o See http://mail.gnome.org/archives/desktop-devel-list/2004-June/msg00424.html
  - Add --unload to mateconftool which complements --load (Julio M. Merino Vidal, Mark)
  - Add --sysmateconfsubdir configure argument (Julio M. Merino Vidal)
  - Make mateconfd reload all databases on SIGHUP (Josselin Mouette)

 Fixes

  - Fix mateconfd segfault from freeing the default database twice (Mark)
  - Warn in docs to call g_type_init() before using MateConfCient (Leonardo Quijano Vincenzi)
  - Don't create a dir during docs build if not needed (Julio M. Merino Vidal)
  - Encode non-ascii MateConf keys using a more compact encoding (Mariano Suárez-Alvare)
  - 64-bit fix (Joe Marcus Clarke)
  - Plug a leak (Kjartan Maraas)

2.7.1
=====

 Features:

  - Add a --ignore-schema-defaults argument for use with mateconftool-2 --dump (Mark)
  - Add API to construct databases from arbitrary stacks of sources (Mark)
  - Allow backends to notify the daemon of changes (Cyrille Moureaux, Mark)
  - Add vtable size mismatch detection (Mark)

 Fixes:

  - Fix accidental use of a C99ism (Morten Welinder)
  - Fix random crashes when unsetting keys (Richard Hult)
  - Fix .mateconfd/saved_state growing to a huge size (Gustavo GirÃ¡ldez)

 Translators:

  - Gisela Carbonell (ca)
  - Miloslav Trmac (cs)
  - Adam Weinberger (en_CA)
  - Gareth Owen (en_GB)
  - Francisco Javier F. Serrador (es)
  - Hizkuntza Politikarako Sailburuordetza (eu)
  - Christophe Merlet (RedFox) (fr)
  - Nirav, Ankit, Ankur, Atit, Bhavin, Kartik, Khushbu, Sweta. (gu)
  - helgi (is)
  - Alessio Frusciante (it)
  - Kjartan Maraas (no)
  - Laurent Dhima (sq)
  - Данило Шеган (sr)
  - Yuri Syrota (uk)
  - Funda Wang (zh_CN)

2.6.1
===

 Fixes:

 - add a --enable-gtk=yes/no/auto configure arg (Julio Merino, Mark)
 - fix basic example app to not crash (Elijah Newren)
 - don't try and create a dir if it already exists (Ryan Lovett, Mark)
 - only ever create the $(HOME)/.mateconfd/ dir in the daemon (Colin Walters)
 - add quotes around AM_MATECONF_SOURCE_2 (Frédéric L. W. Meunier)
 - handle <entry> with only <schema_name> correctly in --load (Mark)
 - fix the order in which local-defaults.path gets included (Mark)
 - fix minor inefficiency when not printing debugging messages (Mark)

 Translators:

 - Adam Weinberger (en_CA)
 - Robert Sedak (hr)
 - Samúel Jón Gunnarsson (is)
 - Alessio Frusciante (it)
 - Takeshi AIHANA (ja)
 - Amanpreet Singh Alam (pa)
 - Gurkan Aslan (tr)

2.5.1
===

 Thanks to lots of people for contributions to this release.

 The primary change in this release is switching over to a new backend
 for loading the XML config files, which should be faster and use far
 less memory. However, the change is high-risk, report any problems.

2.4.0
===

 Thanks to Muktha Narayan, Christophe Fergeau, Frederic Crozat,
 Jeffrey Stedfast, Mark McLoughlin, Dafydd Harries, Ross Golder,
 Greg Hudson for contributions to this release.

 - print usage message when no options passed to mateconftool
 - API docs updates
 - fix UTF-8 handling for command line output
 - fix reliability of writing out XML
 - ensure recursive unsets get synced
 - fix flag value that was "0"
 - fix recursive preloading
 - fix a memleak
 - fix some mateconftool messages/segfaults

2.3.3
===

 Thanks to James Cape, Rodrigo Moya, Michael Meeks, Ross Burton,
 Mark McLoughlin for contributions to this release.

 - new mateconf_client_notify() API to fake a notification
 - fixes to mateconftool --dump feature
 - implement schema uninstallation in mateconftool so packages
   can avoid leaving junk
 - fix build issues with linc-free MateCORBA
 - new mateconf_client_recursive_unset API
 - fix gcc 3.3 strict aliasing warnings

2.3.2
===

 Thanks to Masahiro Sakai, Muktha Narayan, Brian Cameron, Ross Burton,
 Jeff Franks for fixes in this release.

 - fix build on Cygwin
 - don't complain about missing saved_state in syslog
 - improve mateconf-sanity-check error text
 - added --get-type, --get-list-size and --get-list-element
 - exported mateconf_entry_copy
 - cleaned up headers for C++
 - added missing MATECONF_CLIENT_GET_CLASS
 - hackaround fix for 2.3.1 lockfile breakage

===
MateConf 1.2.0 released June 11 2002.
